Ubuntu Suomen keskustelualueet

Ubuntun käyttö => Ubuntu tietokoneissa => Aiheen aloitti: Tuburi - 15.03.10 - klo:18.23

Otsikko: Flash player toimimaan [Ratkaistu]
Kirjoitti: Tuburi - 15.03.10 - klo:18.23
Videot näkyy jollain lailla(you tube), mutta mitkään pelit ei mitenkään siis eivät holttaa hiireen mitenkään. Enkä keksi missä vika vai onko bugi.
Otsikko: Vs: Flash player toimimaan
Kirjoitti: Dost - 15.03.10 - klo:19.13
Videot näkyy jollain lailla(you tube), mutta mitkään pelit ei mitenkään siis eivät holttaa hiireen mitenkään. Enkä keksi missä vika vai onko bugi.

http://forum.ubuntu-fi.org/index.php?topic=25937.0
Otsikko: Vs: Flash player toimimaan
Kirjoitti: Jakke77 - 15.03.10 - klo:19.34
firefoxin about:plugins sivulta näet mikä tai mitkä flashit on asennettuna

EDIT:  8)
Otsikko: Vs: Flash player toimimaan
Kirjoitti: salai - 15.03.10 - klo:19.52
firefoxin about:config sivulta näet mikä tai mitkä flashit on asennettuna

Paremminkin about:plugins

About:configissa kannattaa laittaa plugin.expose_full_path arvoksi true, jolloin about:plugins näyttää ladattujen pluginien koko polun.
Otsikko: Vs: Flash player toimimaan
Kirjoitti: Tuburi - 15.03.10 - klo:21.01
Videot näkyy jollain lailla(you tube), mutta mitkään pelit ei mitenkään siis eivät holttaa hiireen mitenkään. Enkä keksi missä vika vai onko bugi.

http://forum.ubuntu-fi.org/index.php?topic=25937.0

ei toiminu nuo, eikä ollu gnasheja asennettuna. Mistä pääsee about sivulle?
Otsikko: Vs: Flash player toimimaan
Kirjoitti: mrl586 - 15.03.10 - klo:21.23
Kirjoita selaimen osoiteriville about-sivun osoite ja paina enter.
Otsikko: Vs: Flash player toimimaan
Kirjoitti: Tuburi - 15.03.10 - klo:21.39
sori en tajua, vääntäkää rautalangasta  :-\
Otsikko: Vs: Flash player toimimaan
Kirjoitti: Tha-Fox - 15.03.10 - klo:21.55
[rautalankaa]
Kirjoita selaimen osoiteriville

Koodia: [Valitse]
about:plugins
ja paina enter. Tulee varoitus, jonka kuittaat.
Otsikko: Vs: Flash player toimimaan
Kirjoitti: Tuburi - 15.03.10 - klo:22.10
no pääsin sinne muuttamaan niitä, mutta ei vaikutusta  ???
Otsikko: Vs: Flash player toimimaan
Kirjoitti: Tuburi - 17.03.10 - klo:19.11
Niin että onko tähän keinoa vai onko tämä täys bugi
Otsikko: Vs: Flash player toimimaan
Kirjoitti: Jakke77 - 17.03.10 - klo:19.18
http://get.adobe.com/flashplayer/

valitse tuolta deb-paketti, asenna se katso ensin kuitenkin että sinulla on ubuntu-restricted-extras asennettuna. tai ainakin Adobe-Flash-plugin, löydät synapticin haulla nuo paketit ja asennetut ohjelmat on merkitty yleensä vihreällä
Otsikko: Vs: Flash player toimimaan
Kirjoitti: Tuburi - 17.03.10 - klo:20.04
http://get.adobe.com/flashplayer/

valitse tuolta deb-paketti, asenna se katso ensin kuitenkin että sinulla on ubuntu-restricted-extras asennettuna. tai ainakin Adobe-Flash-plugin, löydät synapticin haulla nuo paketit ja asennetut ohjelmat on merkitty yleensä vihreällä

Eikö se ole sama paketti kuin synapticissa? extrat olen jo asentanut
Otsikko: Vs: Flash player toimimaan
Kirjoitti: Tomin - 17.03.10 - klo:21.46
no pääsin sinne muuttamaan niitä, mutta ei vaikutusta  ???
Ei kai siellä about:plugins:ssa mitään muuteta sieltä vaan näkee mitä on käytössä. Jos siellä on seuraavanlainen kohta jossa tuo versio on sama (tai ainakin jotain muuta kuin r999) niin se on hyvä:
Lainaus
Shockwave Flash

    Tiedostonimi: libflashplayer.so
    Shockwave Flash 10.0 r45

MIME-tyyppi                                    Kuvaus                   Päätteet    Käytössä
application/x-shockwave-flash         Shockwave Flash        swf            Kyllä
application/futuresplash                  FutureSplash Player    spl             Kyllä
Otsikko: Vs: Flash player toimimaan
Kirjoitti: Tuburi - 17.03.10 - klo:23.00
no pääsin sinne muuttamaan niitä, mutta ei vaikutusta  ???
Ei kai siellä about:plugins:ssa mitään muuteta sieltä vaan näkee mitä on käytössä. Jos siellä on seuraavanlainen kohta jossa tuo versio on sama (tai ainakin jotain muuta kuin r999) niin se on hyvä:
Lainaus
Shockwave Flash

    Tiedostonimi: libflashplayer.so
    Shockwave Flash 10.0 r45

MIME-tyyppi                                    Kuvaus                   Päätteet    Käytössä
application/x-shockwave-flash         Shockwave Flash        swf            Kyllä
application/futuresplash                  FutureSplash Player    spl             Kyllä

about:configuessa pystyi muuttamaan, muttei auttanut, about:pluginissa oli nuo tiedot mitä näytitkin. Mutta silti EI TOIMI ???
Otsikko: Vs: Flash player toimimaan
Kirjoitti: JTMT - 17.03.10 - klo:23.46
Mulla itsellä on Debian, mutta olen tehnyt näin myös Ubuntu koneissakin.

Kaikki vanhat Flash kikkareet pois koneelta. Tuolta: http://get.adobe.com/flashplayer/

lataat tuon .tar.gz for Linux paketin ja purat sen paketin siihen kansioon. libflashplayer.so on se purettu paketti.

Sitten aukaiset Kotikansion. Juuri se missä on musiikki, kuvat, videot jne... kansiot.

Paina Ctrl+h

Ilmestyy eteen paljon kansioita ja joissakin joissakin on edessä . piste. Etsit sieltä .mozilla kansion ja teet sinne plugins nimisen kansion. Pienellä siis plugins

Nyt siirryt sinne missä tuo purettu flash (.tar.gz) paketti on.

Klikkaat sitä libflashplayer.so tiedostoa hiiren oikealla korvalla ja valitse kopioi.

Nyt menet taakse päin sinne .mozilla kansioon ja liität sinne tekemääsi plugins kansioon tuon libflashplayer.so tiedoston. Nyt voit sammuttaa nautilus sivut ja kokeilla vaikka Youtubesta toimiiko videot.

Itsellä tuo konsti on toiminut ainakin Hardysta asti. Toki siinä on sitten se homma, että itsellä pitää huolehtia Flash päivitykset.

Jos suinkin sait tuosta selvää, niin kokeile. Mitään et menetäkkään. Jos ei toimi poistat vaan sen itse tehdyn .plugins kansion ja se siinä.

Siskon koneella on Ubuntu 9.10 ja pakettilähteissä oleva Flash ei toiminut ainakaan Youtubessa.

Tein noin kuin edellä oheistin ja toimii kuin unelma. Ainakin 3 ylläpitämälläni Ubuntu koneella. Kokeile. Sitten sen näkee :)




Debian 5 Lenny on itsellä ja noin teen siinäkin, että tuubit ja muut alkaa toimimaan. Tosin Debianissa joutuu ploggaamaan Iceweaselin (firefox) kautta tuon oletus 9.0 r100 plugin, ennen kuin uus plugi tulee toimintaan.

Oletus Flashin poisto haluaa poistaa myös koko Gnomen koneelta, joten ploggaus toimii ainakin, jos haluaa Gnomen pitää koneella ja uuden Flash paketin toimivan.
Otsikko: Flash player toimimaan (taas kerran)
Kirjoitti: salai - 18.03.10 - klo:00.25
Kuten JTMT tuossa edellä kertoi, ainoa varma tapa saada flash toimimaan kaikissa (Gecko-)selaimissa, on kopioida se yksi ainoa (libflashplayer.so) tiedosto ~/.mozilla/plugins -kansioon.

Erilaisten distrojen omat nspluginwrapper ym. epätoivoiset 32 bit -viritykset ja "vapaat" pluginit ovat käsittääkseni tehty vain sen vuoksi, että kokemattomat käyttäjät saataisiin epätoivoisiksi ja hylkäämään muuten toimivat hyvät systeemit.

Mikään ei ole niin idioottimaista kuin näiden oikeaoppisten puristien neuvot käyttää pelkästään typerien paketoijien pakkomielteisiä, sinne sun tänne poukkoilevia, sitä sun tätä tarkoittavia symbolisia linkkejä.

Poiketen ohjeestani (http://forum.ubuntu-fi.org/index.php?topic=16972.msg125649#msg125649) kahden vuoden takaa, totean tuon neuvon olleen ainoa toimiva  nimenomaan 64-bittisissä systeemeissä marraskuusta 2008 lähtien.

Motto: Jollet saa hommaa toimimaan mitenkään muuten, tee se niin yksinkertaisesti, että ymmärrät asian itsekin.
Otsikko: Vs: Flash player toimimaan (taas kerran)
Kirjoitti: mrl586 - 18.03.10 - klo:01.03
Poiketen ohjeestani (http://forum.ubuntu-fi.org/index.php?topic=16972.msg125649#msg125649) kahden vuoden takaa, totean tuon neuvon olleen ainoa toimiva  nimenomaan 64-bittisissä systeemeissä marraskuusta 2008 lähtien.
Ainoa toimiva? Eihän tuo edes toimi, sillä tuloksena on pelkkää valitusta (wrong ELF class) ja kaatuilua.
Otsikko: Vs: Flash player toimimaan (taas kerran)
Kirjoitti: salai - 18.03.10 - klo:02.39
Poiketen ohjeestani (http://forum.ubuntu-fi.org/index.php?topic=16972.msg125649#msg125649) kahden vuoden takaa, totean tuon neuvon olleen ainoa toimiva  nimenomaan 64-bittisissä systeemeissä marraskuusta 2008 lähtien.
Ainoa toimiva? Eihän tuo edes toimi, sillä tuloksena on pelkkää valitusta (wrong ELF class) ja kaatuilua.

Ainoalla toimivalla systeemillä tarkoitin sitä, että 64-bittiseen systeemiin ja selaimeen pitää asentaa 64-bittinen flash-player. Eikä niitä typeriä purkkaviritelmiä, joita monet paketoijat väkisin tyrkyttävät.

Aivan älytöntä touhua, kun kymmenennen kerran käynnistää jonkun tuoreen (esim.) Mandrivan ja siinä Firefox kaatuu aina ensimmäisen kerran Starttis.fi-sivulle mennessä.

Aivan käsittämätöntä sekoilua ovat nuo swfdec-playerit ja erilaiset tokkurassa kaatuilevat wrapperit Ubuntunkin osalta olleet: Multimedian surkea toiminta (http://forum.ubuntu-fi.org/index.php?topic=27743.msg224033#msg224033).

Miten ihmeessä kukaan aloittelija saa nuo ääliömäiset viritelmät korjattua, jos niitä erehtyy asentamaan? Taitaa olla yksi useimmin kysymyksiä aiheuttaneista ongelmista tälläkin palstalla?
Otsikko: Vs: Flash player toimimaan
Kirjoitti: Tuburi - 18.03.10 - klo:08.50
ei toimi... taitaa olla ihan  paketissa koko flash system.
Otsikko: Vs: Flash player toimimaan
Kirjoitti: Tha-Fox - 18.03.10 - klo:09.21
ei toimi... taitaa olla ihan  paketissa koko flash system.

Nyt näkisin, että ollaan asian ytimessä  ;D HTML5:sta odotellessa... Olet nyt siis pyyhkinyt kaikki flashit koneelta ja kokeillut puhtaalta pöydältä asentaa saamiesi ohjeiden mukaan?
Otsikko: Vs: Flash player toimimaan
Kirjoitti: ajaaskel - 18.03.10 - klo:10.03
Arvaan että kyseessä 64 bittinen Ubuntu.  Jos ei varmuutta niin  

Koodia: [Valitse]
uname -m

x86_64 = 64 bittinen   i686 = 32 bittinen

Tai tietysti voit halutessasi kokeilla mitä tietoja "ver" ohjelmani (toisaalla täällä foorumilla) näyttää koneestasi, ei tarvitse silloin muistella noiden koodien merkityksiä.

http://forum.ubuntu-fi.org/index.php?topic=32070.msg248730#msg248730 (http://forum.ubuntu-fi.org/index.php?topic=32070.msg248730#msg248730)

Itselläni on 64 bittisissä koneissa (monta) 64 bittinen alpha-versio tuosta Flashplayeristä kopioituna tuonne ylempänä mainittuun plugins kansioon, toiminut sieltä ok.  

  
Otsikko: Vs: Flash player toimimaan
Kirjoitti: Tuburi - 18.03.10 - klo:10.10
ei toimi... taitaa olla ihan  paketissa koko flash system.

Nyt näkisin, että ollaan asian ytimessä  ;D HTML5:sta odotellessa... Olet nyt siis pyyhkinyt kaikki flashit koneelta ja kokeillut puhtaalta pöydältä asentaa saamiesi ohjeiden mukaan?

Oon pyyhkiny ja asentanu uudestaan tuloksetta. Ja 64 bittinen on joo, 32 toimii toisessa koneessa(32-bittisessä).

Olkoot mokoma.
Otsikko: Vs: Flash player toimimaan
Kirjoitti: ajaaskel - 18.03.10 - klo:10.17
Se 64 bittinen Flashplayer on täällä:

http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.45.2.linux-x86_64.so.tar.gz (http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.45.2.linux-x86_64.so.tar.gz)

Älä nosta käsiä pystyyn --- se toimii täälläkin monessa koneessa. ;) 
Otsikko: Vs: Flash player toimimaan [Ratkaistu]
Kirjoitti: Tuburi - 18.03.10 - klo:10.35
Se 64 bittinen Flashplayer on täällä:

http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.45.2.linux-x86_64.so.tar.gz (http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.45.2.linux-x86_64.so.tar.gz)

Älä nosta käsiä pystyyn --- se toimii täälläkin monessa koneessa. ;) 

Oho, sehän rupes toimimaan  :o

Kiitosta vaan!  ;)

Taidan laittaakkin että [Ratkaistu]